complexType "Swap"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, swapStream[2..2], earlyTerminationProvision?, cancelableProvision?, extendibleProvision?, additionalPayment*
</...>

Content Model Elements (10):

  additionalPayment (defined in Swap complexType), cancelableProvision, earlyTerminationProvision (defined in Swap complexType), embeddedOptionType, extendibleProvision, | primaryAssetClass (defined in Product.model group), productId, productType (defined in Product.model group), secondaryAssetClass, swapStream

All Direct / Indirect Based Elements (2):

  swap, | swap (in swaption)

Known Usage Locations

- As direct type of elements (2):

  swap, | swap (in swaption)

Annotation
A type defining swap streams and additional payments between the principal parties involved in the swap.
Type Definition Detail

Type Derivation Tree Product (extension) Swap

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Swap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="2" minOccurs="2" name="swapStream" type="InterestRateStream"/> <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"/> <xsd:element minOccurs="0" name="cancelableProvision" type="CancelableProvision"/> <xsd:element minOccurs="0" name="extendibleProvision" type="ExtendibleProvision"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"/> <!--View Generation: SKIPPED additionalTerms - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/10)
additionalPayment

  Type: | Payment, complex content

  Additional payments between the principal parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"/>

cancelableProvision

  Type: | CancelableProvision, complex content

  A provision that allows the specification of an embedded option within a swap giving the buyer of the option the right to terminate the swap, in whole or in part, on the early termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cancelableProvision" type="CancelableProvision"/>

earlyTerminationProvision

  Type: | EarlyTerminationProvision, complex content

  Parameters specifying provisions relating to the optional and mandatory early terminarion of a swap transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"/>

extendibleProvision

  Type: | ExtendibleProvision, complex content

  A provision that allows the specification of an embedded option with a swap giving the buyer of the option the right to extend the swap, in whole or in part, to the extended termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extendibleProvision" type="ExtendibleProvision"/>

swapStream

  Type: | InterestRateStream, complex content

  The swap streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="2" name="swapStream" type="InterestRateStream"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.